/*
from:
http://msdn.microsoft.com/en-us/library/aa383745%28VS.85%29.aspx

Minimum system required	Value for NTDDI_VERSION
Windows 7	NTDDI_WIN7
Windows Server 2008	NTDDI_WS08
Windows Vista with Service Pack 1 (SP1)	NTDDI_VISTASP1
Windows Vista	NTDDI_VISTA
Windows Server 2003 with Service Pack 2 (SP2)	NTDDI_WS03SP2
Windows Server 2003 with Service Pack 1 (SP1)	NTDDI_WS03SP1
Windows Server 2003	NTDDI_WS03
Windows XP with Service Pack 3 (SP3)	NTDDI_WINXPSP3
Windows XP with Service Pack 2 (SP2)	NTDDI_WINXPSP2
Windows XP with Service Pack 1 (SP1)	NTDDI_WINXPSP1
Windows XP	NTDDI_WINXP
Windows 2000 with Service Pack 4 (SP4)	NTDDI_WIN2KSP4
Windows 2000 with Service Pack 3 (SP3)	NTDDI_WIN2KSP3
Windows 2000 with Service Pack 2 (SP2)	NTDDI_WIN2KSP2
Windows 2000 with Service Pack 1 (SP1)	NTDDI_WIN2KSP1
Windows 2000	NTDDI_WIN2K

 

The following tables describe the legacy macros in use by the Windows header files.
Minimum system required	Minimum value for _WIN32_WINNT and WINVER
Windows 7	0x0601
Windows Server 2008	0x0600
Windows Vista	0x0600
Windows Server 2003 with SP1, Windows XP with SP2	0x0502
Windows Server 2003, Windows XP	0x0501
Windows 2000	0x0500

Note: Define it for the lowest operating system you need your app to run on, not the OS you build on. 
*/
#define WINVER 0x0501


